<?php

 /**
 * apache_get_modules() ausfhren und das Ergebnis als JSON zurck geben.
 * @file yui-datatable-sample2.php
 * @copyright (c) 2009 Thomas Wiedmann http://www.twiedmann.de
 * @license Code licensed under the BSD License
 */ 
 
 $aApacheModules = apache_get_modules(); 
 
 /**
 * Array in JSON umwandeln
 */
 $sApacheModules = array2json($aApacheModules);
 
	/**
	* Abfrage-Ergebnis an den Browser schicken
	*/
 header('Content-Type: text/html; charset=ISO-8859-1');
 header('Content-Type: application/json');   
	echo $sApacheModules; 
	
	
 /**
  * Umwandlung eines Array nach JSON mit Hilfe json_encode().
  * json_encode ist ab PHP 5.2 Bestandteil des Core.
  *
  * @param array $p_aResult
  * @return string
  */
	 function array2json($p_aResult = array()) { 


   /**
   * Explain Result in JSON formatieren
   */
	  if(function_exists('json_encode')) {
	  	
	   $sJSON  = json_encode($p_aResult); //Lastest versions of PHP already has this functionality. 
  		$sJSON  = strtolower($sJSON);		  					     	   
	   return $sJSON;
	  } else {
	  	throw new Exception('Funktion json_encode() existiert nicht! PHP-Version?');
	  }
	
	 }  	
	
?>